-- 段位奖励
Lua_TheDanRewardWindow  = class("Lua_TheDanRewardWindow",Lua_Window);
function Lua_TheDanRewardWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TheDanRewardWindow";
	self.skinName = "TheDanRewardWindow_skin";
end

function Lua_TheDanRewardWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.showTxt.text = LanUtil.getValue(124032);

	local arr = DataCenter.theSelectionWarUtil.danRewardConfigInfo;
	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 878, 430));
	self.dragList:setLocation(0, -5, 0);
	self.dragList:setListCell(Lua_TheDanRewardCellItem, 115, 878, 1);
    self.dragList:setLuaArrayData(arr, true);
end

function Lua_TheDanRewardWindow:dispose()	
	if self.dragList ~= nil then
		self.dragList:dispose()
		self.dragList = nil;
	end
	self:superCall("dispose");
end





--------------------------------------------------





Lua_TheDanRewardCellItem = class("Lua_TheDanRewardCellItem", Lua_ListCell);
function Lua_TheDanRewardCellItem:ctor(p)
	self:superCall("ctor", p, "TheDanRewardItem_skin");
end

function Lua_TheDanRewardCellItem:buildShowItem()
	self:superCall("buildShowItem");

	self.rItem = Lua_RewardItem.new(self.content);
	self.rItem:setLayout(90, 90, 10);
	self.rItem:setMaxShow(10);
	self.rItem:setDepth(10);
	self.rItem:setClickWin(true);
	self.rItem:setMouseEnble(true);
	-- self.rItem:setItemScale(1, 1);
	self.rItem:setLocation(-148, 5, 0);
end

function Lua_TheDanRewardCellItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.danTxt.text = data.name;
	self.danTxt.effectColorStr = Lua_ColorDefine.transColor(data.eff, 0.8);

	self.rankBg:setAltas(data.atlas, data.atlas_name);
	self.rItem:setRewardByRewardList(Array(data.reward_id));
end

function Lua_TheDanRewardCellItem:dispose()
	if self.rItem ~= nil then
		self.rItem:dispose();
		self.rItem = nil;
	end
	self._data = nil;

	self:superCall("dispose");
end